<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LBusyLampField StructType
 * @subpackage Structs
 */
class LBusyLampField extends AbstractStructBase
{
    /**
     * The blfDest
     * Meta information extracted from the WSDL
     * - documentation: Either blfDest or the combination of blfDirn and routePartition is to be mentioned in the add/update request, if both are mentioned AXL will read only the blfDest tag and ignore blfDirn and routePartition.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $blfDest;
    /**
     * The blfDirn
     * Meta information extracted from the WSDL
     * - documentation: Either blfDest or the combination of blfDirn and routePartition is to be mentioned in the add/update request, if both are mentioned AXL will read only the blfDest tag and ignore blfDirn and routePartition.
     * - base: xsd:string
     * - choice: blfDirn | routePartition
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $blfDirn;
    /**
     * The routePartition
     * Meta information extracted from the WSDL
     * - choice: blfDirn | routePartition
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $routePartition;
    /**
     * The label
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $label;
    /**
     * The associatedBlfSdFeatures
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedBlfSdFeatures
     */
    public $associatedBlfSdFeatures;
    /**
     * The index
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $index;
    /**
     * Constructor method for LBusyLampField
     * @uses LBusyLampField::setBlfDest()
     * @uses LBusyLampField::setBlfDirn()
     * @uses LBusyLampField::setRoutePartition()
     * @uses LBusyLampField::setLabel()
     * @uses LBusyLampField::setAssociatedBlfSdFeatures()
     * @uses LBusyLampField::setIndex()
     * @param string $blfDest
     * @param string $blfDirn
     * @param string $routePartition
     * @param string $label
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedBlfSdFeatures $associatedBlfSdFeatures
     * @param string $index
     */
    public function __construct($blfDest = null, $blfDirn = null, $routePartition = null, $label = null, \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedBlfSdFeatures $associatedBlfSdFeatures = null, $index = null)
    {
        $this
            ->setBlfDest($blfDest)
            ->setBlfDirn($blfDirn)
            ->setRoutePartition($routePartition)
            ->setLabel($label)
            ->setAssociatedBlfSdFeatures($associatedBlfSdFeatures)
            ->setIndex($index);
    }
    /**
     * Get blfDest value
     * @return string|null
     */
    public function getBlfDest()
    {
        return $this->blfDest;
    }
    /**
     * Set blfDest value
     * @param string $blfDest
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBusyLampField
     */
    public function setBlfDest($blfDest = null)
    {
        $this->blfDest = $blfDest;
        return $this;
    }
    /**
     * Get blfDirn value
     * @return string|null
     */
    public function getBlfDirn()
    {
        return isset($this->blfDirn) ? $this->blfDirn : null;
    }
    /**
     * Set blfDirn value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $blfDirn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBusyLampField
     */
    public function setBlfDirn($blfDirn = null)
    {
        if (is_null($blfDirn) || (is_array($blfDirn) && empty($blfDirn))) {
            unset($this->blfDirn);
        } else {
            $this->blfDirn = $blfDirn;
        }
        return $this;
    }
    /**
     * Get routePartition value
     * @return string|null
     */
    public function getRoutePartition()
    {
        return isset($this->routePartition) ? $this->routePartition : null;
    }
    /**
     * Set routePartition value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $routePartition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBusyLampField
     */
    public function setRoutePartition($routePartition = null)
    {
        if (is_null($routePartition) || (is_array($routePartition) && empty($routePartition))) {
            unset($this->routePartition);
        } else {
            $this->routePartition = $routePartition;
        }
        return $this;
    }
    /**
     * Get label value
     * @return string|null
     */
    public function getLabel()
    {
        return $this->label;
    }
    /**
     * Set label value
     * @param string $label
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBusyLampField
     */
    public function setLabel($label = null)
    {
        $this->label = $label;
        return $this;
    }
    /**
     * Get associatedBlfSdFeatures value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedBlfSdFeatures|null
     */
    public function getAssociatedBlfSdFeatures()
    {
        return $this->associatedBlfSdFeatures;
    }
    /**
     * Set associatedBlfSdFeatures value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedBlfSdFeatures $associatedBlfSdFeatures
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBusyLampField
     */
    public function setAssociatedBlfSdFeatures(\\Losc\CucmBundle\Model\Webservice\StructType\AssociatedBlfSdFeatures $associatedBlfSdFeatures = null)
    {
        $this->associatedBlfSdFeatures = $associatedBlfSdFeatures;
        return $this;
    }
    /**
     * Get index value
     * @return string|null
     */
    public function getIndex()
    {
        return $this->index;
    }
    /**
     * Set index value
     * @param string $index
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LBusyLampField
     */
    public function setIndex($index = null)
    {
        $this->index = $index;
        return $this;
    }
}
